Summary:	xhost - server access control program for X
Summary(pl.UTF-8):	xhost - program do kontroli dostępu do serwera X
Name:		xorg-app-xhost
Version:	1.0.10
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xhost-%{version}.tar.xz
# Source0-md5:	45c7e956941194e5f06a9c7307f5f971
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXau-devel
# just xmuu
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.22
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xhost program is used to add and delete host names or user names
to the list allowed to make connections to the X server.

%description -l pl.UTF-8
Program xhost służy do dodawania i usuwania nazw hostów lub
użytkowników do/z listy zezwalającej na wykonywanie połączeń do
serwera X.

%prep
%setup -q -n xhost-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/xhost
%{_mandir}/man1/xhost.1*
%changelog
* Mon Feb 03 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xhost.git;a=log;h=master

* Mon Feb 03 2025 Jakub Bogusz <qboosh@pld-linux.org> 8c26c97
- updated to 1.0.10

* Thu Dec 29 2022 Jakub Bogusz <qboosh@pld-linux.org> ca8d363
- updated to 1.0.9

* Fri Feb 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 602425c
- updated to 1.0.8

* Mon Apr 20 2015 Jakub Bogusz <qboosh@pld-linux.org> a493a41
- updated to 1.0.7

* Thu Jul 18 2013 Jakub Bogusz <qboosh@pld-linux.org> e3532be
- fixed build without manx suffix

* Thu Jul 18 2013 Jakub Bogusz <qboosh@pld-linux.org> cc26632
- updated to 1.0.6

* Fri Mar 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 8eea51c
- updated to 1.0.5

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 13b1754
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> eb6be92
- updated to 1.0.4

* Mon Oct 19 2009 Jakub Bogusz <qboosh@pld-linux.org> 129679b
- updated to 1.0.3

* Tue Jul 17 2007 Jakub Bogusz <qboosh@pld-linux.org> da83b9c
- descs from man

* Tue Jul 17 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> a72d255
- up to 1.0.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8880451
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 79ef881
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> eff7d6d
- more verbose files, release 1

* Sat Apr 15 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 5921e3e
- up to 1.0.1

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> c7303ec
- 1.0.0 (X11R7.0 release)

* Tue Dec 13 2005 Jakub Bogusz <qboosh@pld-linux.org> a8fe093
- 0.99.3 (X11R7.0-RC3)

* Sat Nov 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 421cb8f
- 0.99.2 (X11R7.0-RC2)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 2a338bc
- pkgconfig epoch

